#### D.4.24.15 getOneVar

Procedure from library `normal.lib` (see normal_lib).

Usage:
  getOneVar(J, vari); J is a 0-dimensional ideal, vari is an integer.

Return:
  a polynomial of J in the variable indicated by vari of smallest degree.

Note:
  Works only over rings of two variables.
  It is intended mainly as an auxiliary procedure for computing integral bases.

Example:

    LIB "normal.lib";
    printlevel = printlevel+1;
    ring s = 0,(x,y),dp;
    ideal J = x3-y, y3;
    getOneVar(J, 1);
    ==> x9
    printlevel = printlevel-1;

User manual for Singular version 4.4.1, 2025, generated by texi2html.